# Projects

## GET /organization/v1/projects

> Gets a projects within the organization.

```json
{"openapi":"3.1.1","info":{"title":"MariaDB Cloud DBaaS API","version":"1.0"},"servers":[{"url":"https://api.skysql.com/"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"dto.Project":{"type":"object","properties":{"created_by":{"type":"string"},"created_on":{"type":"integer"},"description":{"type":"string"},"id":{"type":"string"},"is_default":{"type":"boolean"},"name":{"type":"string"},"updated_by":{"type":"string"},"updated_on":{"type":"integer"}}}}},"paths":{"/organization/v1/projects":{"get":{"tags":["Projects"],"summary":"Gets a projects within the organization.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dto.Project"}}}}},"204":{"description":"No Content"}}}}}}
```

## POST /organization/v1/projects

> Creates a new project in organization

```json
{"openapi":"3.1.1","info":{"title":"MariaDB Cloud DBaaS API","version":"1.0"},"servers":[{"url":"https://api.skysql.com/"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"dto.CreateProject":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"}}}}},"paths":{"/organization/v1/projects":{"post":{"tags":["Projects"],"summary":"Creates a new project in organization","responses":{"201":{"description":"Created"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dto.CreateProject"}}},"description":"Request Body","required":true}}}}}
```

## PUT /organization/v1/projects

> Creates a new project in organization

```json
{"openapi":"3.1.1","info":{"title":"MariaDB Cloud DBaaS API","version":"1.0"},"servers":[{"url":"https://api.skysql.com/"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"dto.CreateProject":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"}}}}},"paths":{"/organization/v1/projects":{"put":{"tags":["Projects"],"summary":"Creates a new project in organization","deprecated":true,"responses":{"201":{"description":"Created"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dto.CreateProject"}}},"description":"Request Body","required":true}}}}}
```

## GET /organization/v1/projects/{project\_id}

> Gets a project by project id within the organization.

```json
{"openapi":"3.1.1","info":{"title":"MariaDB Cloud DBaaS API","version":"1.0"},"servers":[{"url":"https://api.skysql.com/"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"dto.Project":{"type":"object","properties":{"created_by":{"type":"string"},"created_on":{"type":"integer"},"description":{"type":"string"},"id":{"type":"string"},"is_default":{"type":"boolean"},"name":{"type":"string"},"updated_by":{"type":"string"},"updated_on":{"type":"integer"}}}}},"paths":{"/organization/v1/projects/{project_id}":{"get":{"tags":["Projects"],"summary":"Gets a project by project id within the organization.","parameters":[{"schema":{"type":"string"},"description":"Project identifier","name":"project_id","in":"path","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dto.Project"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/mariadb-cloud/reference/mariadb-cloud-api-reference-guide/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
